| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::Func3dBaseNoGradient Class Reference

Base class for scalar functions of 3 variables (implementations of the IFunc3d interface). that do not implement calculation of function Hessian (second derivatives) or gradient. Beside the IFunc3d interface, this class also implements the IScalarFunction interface. This does not affect efficiency but adds the functionality for using objects as general (untransformed) scalar functions. More...

Inheritance diagram for IG::Num::Func3dBaseNoGradient:
[legend]
Collaboration diagram for IG::Num::Func3dBaseNoGradient:
[legend]

List of all members.

## Public Member Functions
override void | Gradient (double x, double y, double z, out double gradx, out double grady, out double gradz)
| Function for calculating function gradient, just throws the NotImplementedException exception.
override void | Hessian (double x, double y, double z, out double dxx, out double dyy, out double dzz, out double dxy, out double dxz, out double dyz)
| Function for calculating function Hessian, just throws the NotImplementedException exception.
## Protected Member Functions
| Func3dBaseNoGradient ()

## Detailed Description

Base class for scalar functions of 3 variables (implementations of the IFunc3d interface). that do not implement calculation of function Hessian (second derivatives) or gradient.

Beside the IFunc3d interface, this class also implements the IScalarFunction interface. This does not affect efficiency but adds the functionality for using objects as general (untransformed) scalar functions.

$A Igor Apr09;

## Constructor & Destructor Documentation

IG::Num::Func3dBaseNoGradient::Func3dBaseNoGradient | ( |  | ) | `[inline, protected]`

## Member Function Documentation

override void IG::Num::Func3dBaseNoGradient::Gradient | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | gradx,
|  | out double | grady,
|  | out double | gradz
| ) |  | `[inline]`

Function for calculating function gradient, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d.

override void IG::Num::Func3dBaseNoGradient::Hessian | ( | double | x,
|  | double | y,
|  | double | z,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dzz,
|  | out double | dxy,
|  | out double | dxz,
|  | out double | dyz
| ) |  | `[inline]`

Function for calculating function Hessian, just throws the NotImplementedException exception.

Implements IG::Num::IFunc3d.

The documentation for this class was generated from the following file:

- Function3d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events